package com.zcloud.mapper.datasource.video;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;

/**
 * 说明：视频管理
 * 作者：luoxiaobao
 * 时间：2021-05-10
 * 官网：www.zcloudchina.com
 */
public interface VideoManagerMapper {

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	void save(PageData pd);

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	void delete(PageData pd);
	/**
	 * 初始化置顶信息
	 * 置顶视频
	 * @param pd
	 */
	void editZhiding(PageData pd);
	/**修改
	 * @param pd
	 * @throws Exception
	 */
	void edit(PageData pd);

	void editPls(PageData pd);

	void editIsShow(PageData pd);
	void editIsShowBycorpinfoid(PageData pd);

	/**列表
	 * @param page
	 * @throws Exception
	 */
	List<PageData> datalistPage(Page page);

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAll(PageData pd);

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	PageData findById(PageData pd);

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	void deleteAll(String[] ArrayDATA_IDS);

    PageData findByCode(PageData videoPd);

	List<PageData> dataApplistPage(Page page);

	void updateAiByOUTSOURCED_ID(PageData pd);

    List<PageData> getCameraAlarmCount(PageData pageData);

	List<PageData> getCameraAlarmTypeCount(PageData pageData);

    List<PageData> getCameraAlarmTimeCount(PageData pageData);

	PageData getCameraTopToShow(PageData pageData);
}

